Package org.apache.sysds.runtime.compress.colgroup.insertionsort

# Class MaterializeSort

java.lang.Object
org.apache.sysds.runtime.compress.colgroup.insertionsort.AInsertionSorter
org.apache.sysds.runtime.compress.colgroup.insertionsort.MaterializeSort

public class MaterializeSort extends AInsertionSorter

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`CACHE_BLOCK`
The block size to materialize at a time

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.insertionsort.AInsertionSorter

`getData, getIndexes`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CACHE_BLOCK

public static int CACHE_BLOCK
The block size to materialize at a time